aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2014-08-29 00:17:37 +0200
committerGravatar Peter Korsgaard <peter@korsgaard.com>2014-08-29 09:15:42 +0200
commit2b773698820996352274962899790788fc2b3eb5 (patch)
tree7aa174f403ad3013fb1a05223b632cf7e7fd14da
parent134f51bf0db816027703cf6830e07fab4e798804 (diff)
downloadbuildroot-2b773698820996352274962899790788fc2b3eb5.tar.gz
buildroot-2b773698820996352274962899790788fc2b3eb5.tar.bz2
ruby: requires shared library
No matter what you do, the Ruby build system wants to use shared libraries for the encoding modules. Therefore, this commit disallows the selection of Ruby in BR2_PREFER_STATIC_LIB situations. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
-rw-r--r--package/ruby/Config.in6
1 files changed, 4 insertions, 2 deletions
diff --git a/package/ruby/Config.in b/package/ruby/Config.in
index 0de756ba9c..2191204c09 100644
--- a/package/ruby/Config.in
+++ b/package/ruby/Config.in
@@ -2,10 +2,12 @@ config BR2_PACKAGE_RUBY
bool "ruby"
depends on BR2_USE_WCHAR
depends on BR2_TOOLCHAIN_HAS_THREADS
+ depends on !BR2_PREFER_STATIC_LIB
help
Object Oriented Scripting Language.
http://www.ruby-lang.org/
-comment "ruby needs a toolchain w/ wchar, threads"
- depends on !BR2_USE_WCHAR || !BR2_TOOLCHAIN_HAS_THREADS
+comment "ruby needs a toolchain w/ wchar, threads, dynamic library"
+ depends on !BR2_USE_WCHAR || !BR2_TOOLCHAIN_HAS_THREADS || \
+ BR2_PREFER_STATIC_LIB